Function
setSource
Let an external object be the source.
setSource(object, source)
setSource(object, source [, begin_pos, end_pos])
Include Headers
seqan/align.h
Parameters

object | An object that will get a new source. Types: Gaps
source | The new source. Remarks: The source type can be determined by Source.
begin_pos | Position of the first item in source that is used in object. (optional)
end_pos | Position behind the last item in source that is used in object. (optional)

Remarks
After this function, object depends from source, and source is the new source of object.
If no begin_pos and end_pos are specified, the whole source will be used.
See Also
assignSource, Source, moveSource, dependentSource
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49